Skip to content

Create or update Firebase Cloud Messaging (FCM) configuration for the current account.

PUT
/settings/push/fcm
curl --request PUT \
--url https://api.pingram.io/settings/push/fcm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "fcmConfig": "example" }'

Authorizations

Request Bodyrequired

Media typeapplication/json
object
fcmConfig
required
string
Examplegenerated
{
"fcmConfig": "example"
}

Responses

200

Successful response

Media typeapplication/json
object
fcmConfig
required
string
Examplegenerated
{
"fcmConfig": "example"
}

400

Bad Request - validation errors, invalid input

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

401

Unauthorized

402

Payment Required - usage limits exceeded

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

500

Internal Server Error

502

Bad Gateway - provider error

Media typeapplication/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Examplegenerated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}